<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
EventNotifyDelegate Delegate
See Also Send Feedback

The application's event notification function.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public delegate void EventNotifyDelegate(
    	NotificationEvent eventcode,
    	byte[] event_info
    )

Visual Basic (Declaration)

    Public Delegate Sub EventNotifyDelegate ( _
    	eventcode As NotificationEvent, _
    	event_info As Byte() _
    )

Visual C++

    public delegate void EventNotifyDelegate(
    	NotificationEvent eventcode,
    	array<unsigned char>^ event_info
    )

#### Parameters

eventcode
  Type: BerkeleyDB..::.NotificationEvent
  An even code specifying the Berkeley DB event

event_info
  Type: array< System..::.Byte >[]()[]
  Additional information describing an event. By default, event_info is null; specific events may pass non-null values, in which case the event also describes the information's structure.

# See Also

BerkeleyDB Namespace